﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using FarseerGames.FarseerPhysics.Mathematics;

namespace Demo6
{
    public class SpaceMathHelpers
    {
        public static Vector2 FromAngle(float angleInRadians)
        {
            float radians = angleInRadians;
            float x = (float)Math.Sin(radians);
            float y = (float)Math.Cos(radians);
            return new Vector2(x, y);
        }


        public static Vector2 FromAngle(float angleInRadians, float force)
        {
            Vector2 vector = FromAngle(angleInRadians);
            return new Vector2(vector.X * force, vector.Y * force);
        }
    }
}
